<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="cardPrivilege">
            <h2><span>Card Privilege</span> {{ cardPrivilege.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Card Id</span></dt>
                <dd>
                    <span>{{ cardPrivilege.cardId }}</span>
                </dd>
                <dt><span>Card Name</span></dt>
                <dd>
                    <span>{{ cardPrivilege.cardName }}</span>
                </dd>
                <dt><span>Privilege Id</span></dt>
                <dd>
                    <span>{{ cardPrivilege.privilegeId }}</span>
                </dd>
                <dt><span>Privilege Name</span></dt>
                <dd>
                    <span>{{ cardPrivilege.privilegeName }}</span>
                </dd>
                <dt><span>Quota</span></dt>
                <dd>
                    <span>{{ cardPrivilege.quota }}</span>
                </dd>
                <dt><span>Validity Period</span></dt>
                <dd>
                    <span>{{ cardPrivilege.validityPeriod }}</span>
                </dd>
                <dt><span>Active</span></dt>
                <dd>
                    <span>{{ cardPrivilege.active }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/card-privilege', cardPrivilege.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
